467eb80b7e23879950955aa41284b69e0dc9f159
chmalee
  Thu Sep 14 16:19:01 2023 -0700
Add track hub trix indexes to hubSearchText otto update, refs #30253

diff --git src/utils/qa/hubSearchUpdate src/utils/qa/hubSearchUpdate
index a6689cb..93e67cc 100755
--- src/utils/qa/hubSearchUpdate
+++ src/utils/qa/hubSearchUpdate
@@ -1,8 +1,20 @@
 #!/bin/sh -e
 # Updates hubSearchText table, run by cron for auto-push
 
 date >> /hive/groups/browser/hubCrawl/hubSearchText.log
 cd /hive/groups/browser/hubCrawl
 nohup ./doPublicCrawl &> /dev/null #Send stdout & stderr to /dev/null
-echo "HubSearchText Dev cron-updated on `date`. Exit status: $?" >> /hive/groups/browser/hubCrawl/hubSearchText.log 
+EXIT_STATUS=$?
+echo "HubSearchText Dev cron-updated on `date`. Exit status: $EXIT_STATUS" >> /hive/groups/browser/hubCrawl/hubSearchText.log 
 #Return exit status of prev command, 0 = no issue
+if [ $EXIT_STATUS -eq 0 ];
+then
+    # the below command updates the files in the following directory:
+    # /gbdb/hgFixed/search/hubs/
+    # which contains symlinks to /hive/data/inside/search/
+    # the contents of /gbdb/hgFixed/search need to be auto-pushed
+    cd /hive/data/inside/search/
+    ./makeTrackHubs.sh
+    echo "HubSearchText trix indexes cron-updated on `date`. Exit status: $?" >> /hive/groups/browser/hubCrawl/hubSearchText.log
+fi
+